	device zxspectrum128
;        ORG #4000
; incbin "310c3e202f95151917c197c71b435182--victor.scr"
        ORG #6000
begin

	ld hl,picp,de,$4000:call dzx7_standard
	ld hl,tune:call INIT
kk:ei:halt:di:call scroll,PLAY:jr kk
;scroller
screen_adr equ #50fb;screen adress for output
scroll:
 ld hl,screen_adr
 ld b,8
scroll_text:
 push hl
 xor a

 dup 26
 rl(hl)
 dec l
edup

 pop hl
 inc h
 dec b
 jp nz,scroll_text

;out text, IX: string with limiter 0
scrp:ld ix,scrtxt
 ld a,(ix)
 or a
 jr nz,noloop
;if zero loop text again
 ld ix,scrtxt
 ld a,(ix)
noloop:ld (scrp+2),ix

 ld de,screen_adr
 ld l,a,h,0; calculate adress ROM font
 
 add hl,hl;ascii*8
 add hl,hl
 add hl,hl
 ld bc,fnt;$3C00;ROM font
 add hl,bc
 ex de,hl


 ld b,8;one loop for letter
letrlp:
 ld a,(de)
bw:and #80
 jr z,nobit
 set 0,(hl)
nobit:
 inc de,h
 djnz letrlp

 ld a,(bw+1)
 or a
 rrca
 ld (bw+1),a
 ret nc

 ld hl,(scrp+2)
 inc hl
 ld (scrp+2),hl
 ret
fnt:incbin "HUJ.fnt"
scrtxt: incbin "tsoy2.txt"
 db 0
tune:incbin "Kino - Aluminievye Ogurci by (C) WaLly 30.04.2008.pt3"
;tune:incbin " _snowman.psc.pt3"
plyr:include "PTxPlay.a80"
zx7:include "zx7.a80"
picp:incbin "310c3e202f95151917c197c71b435182--victor.scr.zx7"
end
	display /d,end-begin
	savesna "!void.sna",begin
	savebin "kino60.code",begin,end-begin
